KABCCLIENT(1)

NAME
kabcclient - commandoregel-client voor het KDE-adresboek

SYNOPSIS

kabcclient [[-A] | [-R] | [-M] | [-S] | [-L]] [--match-case] [--nosave] [-ic codec] [-if format] [-if-opts format-opties] [-oc codec] [-of format] [-of-opts format-opties] [invoer-gegevens]

BESCHRIJVING

kabcclient staat commandoregel toegang tot het KDE-adresboek, bijvoorbeeld in shell-scripts. Het ondersteunt invoer vanaf stdin of via extra commandoregel-argumenten. Uitvoer gaat altijd naar stdout.

OPTIES

Werkwijzen

    -A, --add
        Een nieuw contactpersoon toevoegen aan het adresboek

    -R, --remove
        Een bestaand contactpersoon verwijderen uit het adresboek

    -M, --merge
        Mengt invoergegevens met een bestaand contactpersoon in het adresboek. Dit voegt elke nieuwe informatie toe aan het bestaande

    -S, --search
        Zoekt in het adresboek naar contacten die overeenkomen

    -L, --list
        Toont alle contactpersonen in het adresboek

Invoeropties

    -ic, --input-codec
        Laat invoertekst passeren door een gespecificeerde tekstcodering. Zie -ic help voor additionele informatie over invoercodecs. Standaard is local die de codec voor de huidige taalregio(5)-instellingen zal gebruiken

    -if, --input-format
        Ontleedt de invoertekst volgens gegeven formatteringsregels. Zie -if help voor beschikbare formats. Standaard is zoeken

    In plaats van invoertekst lezen, kan kabcclient een dialoog tonen voor het selecteren van contacten met gebruik van het invoerformat
        dialoog

    -if-opts, --input-format-options
        Additionele opties voor het gekozen invoerformat. Kan optioneel zijn maar ook verplicht, afhankelijk van het format. Zie -if-opts help voor beschikbare formatopties

Uitvoeropties

    -oc, --output-codec
        Laat uitvoertekst passeren door een gespecificeerde tekstcodering. Zie -oc help voor additionele informatie over uitvoercodecs. Standaard is local die de codec voor de huidige taalregio(5)-instellingen zal gebruiken.

    -of, --output-format
        Formatteert de uitvoertekst volgens gegeven formatteringsregels. Zie -of help voor beschikbare formats. Standaard is vcard

    -of-opts, --output-format-options
        Additionele opties voor het gekozen uitvoerformat. Kan optioneel zijn maar ook verplicht, afhankelijk van het format. Zie -of-opts help voor beschikbare formatopties

Extra opties

    --match-case
        Gebruikt hoofdlettergevoelige overeenkomsten bij het vergelijken van ingevoerde tekst met de contactpersonen

    --nosave
        Voer informatiewijzigingsbewerkingen uit zoals -A, -R of -M alleen in het geheugen, maar schrijf deze wijzigingen niet terug naar het adresboek

UITGANGCODES

Zoals gebruikelijk betekent een afsluitstatus van nul succes. Afhankelijk van de gekozen bewerkingsmodus geeft een niet-nul afsluitstatus een bepaald probleem aan dat het programma tegenkwam

TOEVOEGEN

    1
        Lezen van de invoertekst is mislukt

    2
        Een bruikbare contactpersoon aanmaken van de invoertekst is mislukt, bijv. geen gegevens of fout geformatteerde gegevens voor het gekozen invoerformat

    3
        Opslaan van de wijzigingen in het adresboek is mislukt. Dit kan bijvoorbeeld zijn veroorzaakt door andere programma's die het adresboek nu blokkeren.

VERWIJDEREN

    1
        Lezen van de invoertekst is mislukt

    2
        Het programma kon geen enkel contactpersoonitem uit het adresboek verwijderen. Dit kan worden veroorzaakt doordat het ontleden van de invoertekst is mislukt, waardoor er geen overeenkomend contactpersoonitem in het adresboek is gevonden of meer dan één item. In het laatste geval wordt er een foutboodschap naar stderr gestuurd

    3
        Opslaan van de wijzigingen in het adresboek is mislukt. Dit kan bijvoorbeeld zijn veroorzaakt door andere programma's die het adresboek nu blokkeren.

SAMENVOEGEN

    1
        Lezen van de invoertekst is mislukt

    2
        Het programma kon de invoer met geen enkel contactpersoonitem uit het adresboek mengen. Dit kan worden veroorzaakt doordat het ontleden van de invoertekst is mislukt, waardoor er geen overeenkomend contactpersoonitem in het adresboek is gevonden of meer dan één item. In het laatste geval wordt er een foutboodschap naar stderr gestuurd

    3
        Opslaan van de wijzigingen in het adresboek is mislukt. Dit kan bijvoorbeeld zijn veroorzaakt door andere programma's die het adresboek nu blokkeren.

    ZOEKEN, 1
        Lezen van de invoertekst is mislukt

    2
        Het programma kon geen enkel overeenkomend contactpersoonitem in het adresboek vinden. Dit kan worden veroorzaakt doordat het ontleden van de invoertekst is mislukt of geen overeenkomend contactpersoonitem in het adresboek is gevonden

VOORBEELDEN

Zoek naar contactpersoonitems met Joe in ofwel de naam of het e-mailadres

    kabcclient -S Joe

Doe het zelfde maar gebruik hoofdlettergevoelig zoeken

    kabcclient --match-case -S Joe

Doe hetzelfde maar lees de invoertekst van stdin

    echo "Joe" | kabcclient --match-case -S

Probeer een nieuwe contactpersoon toe te voegen uit een geformatteerd e-mailadres

    kabcclient --nosave --add -if email "Marilyn Monroe <mmonroe@moviestars.com>"

Doe hetzelfde, maar sla de wijzigingen op het adresboek

    kabcclient --add -if email "Marilyn Monroe <mmonroe@moviestars.com>"

Tonen van de beschikbare formats

    kabcclient -if help

Tonen van de beschikbare uitvoerformats

    kabcclient -of help

Tonen van de beschikbare opties voor het 'e-mail' uitvoerformat

    kabcclient -of email -of-opts help

Toon alle e-mailadressen voor alle contactpersonen die 'Marilyn' bevatten

    kabcclient -of email -of-opts allemails -S Marilyn

Alle contactpersonen verwijderen die de gebruiker heeft geselecteerd in de selectiedialoog voor contactpersonen

    kabcclient --remove -if dialog

Geselecteerde contactpersonen exporteren naar een VCard-bestand (standaard uitvoerformat)

    kabcclient -S -if dialog > contacts.vcf

AUTEUR

Deze gebruikerspagina is geschreven door Kevin Krammer <kevin.krammer@gmx.at>. Toestemming wordt gegeven om dit document te kopiëren, te verspreiden en/of te wijzigen onder de bepalingen van de GNU General Public License, Version 2 of een latere versie zoals gepubliceerd door de Free Software Foundation.

Op Debian systemen kan de complete tekst van de GNU General Public License worden gevonden in /usr/share/common-licenses/GPL.

AUTHOR

Kevin Krammer <kevin.krammer@gmx.at>
    Auteur